Do you see the error message 'Web Unity player not supported' when using the simulator? 


If so, you're using the old simulator. It's not recommended to use the old simulator because a core plugin used to run the software, web unity player, no longer works in most browsers.


Just scroll to the bottom of the badge instructions and press the Skip Simulator button. This will unlock the badge. Then run the badge mod in Minecraft.


There are currently two 'Skills and Drills' sections in the main badge index. Be sure to select the Skills and Drills: Testing in Vox-L icon at the top of the page .Any badges outside of the Skills and Drills section (Sidekick, Magic Wands, etc) will be eventually moved into the vox-L simulator, during a unscheduled future website update.